#include <iostream>

using namespace std;

int main()
{
int T, brvecihgrupa, brmanjihgrupa, brgrupaviseban, brgrupamanjeban, brucvecih, brucmanjih, potrbanvecih, potrbanmanjih;
cin >> T;
bool moze = true;
for (int i = 0; i < T; i++) {
    int N, M, K;
    cin >> N >> M >> K;
        brvecihgrupa = N % K;
        brmanjihgrupa = K - (N % K);
        brgrupaviseban = M % K;
        brgrupamanjeban = K - (M % K);
        brucvecih = (N / K) + 1;
        brucmanjih = N / K;
        if (brucvecih % 2 == 0) {
            potrbanvecih = (brucvecih + 1) * (brucvecih / 2);
        }
        else {
            potrbanvecih = brucvecih * ((brucvecih + 1) / 2);
        }
        if (brucmanjih % 2 == 0) {
            potrbanmanjih = (brucmanjih + 1) * (brucmanjih / 2);
        }
        else {
            potrbanvecih = brucvecih * ((brucmanjih + 1) / 2);
        }
if (potrbanvecih + potrbanmanjih <= M) {
    cout << "Tak" << endl;
}
    else {
        cout << "Nie" << endl;
    }
}
}